package IdPAccountManager::Data::Serviceprovider;

use strict;

use base 'IdPAccountManager::DB::Object';

__PACKAGE__->meta->setup(
    table   => 'serviceproviders',

    columns => [
        id          => { type => 'bigserial', not_null => 1 },
        entityid    => { type => 'varchar', length => 200, not_null => 1 },
        displayname => { type => 'varchar', length => 500 },
        contacts    => { type => 'varchar', length => 2000 },
    ],

    primary_key_columns => [ 'id' ],

    unique_key => [ 'entityid' ],
);

1;

