package IdPAccountManager::Data::Testaccount;

use strict;

use base 'IdPAccountManager::DB::Object';

__PACKAGE__->meta->setup(
    table   => 'testaccounts',

    columns => [
        id                 => { type => 'bigserial', not_null => 1 },
        user_password_hash => { type => 'varchar', length => 50, not_null => 1 },
        creation_date      => { type => 'integer' },
        expiration_date    => { type => 'integer' },
        account_profile    => { type => 'varchar', length => 100, not_null => 1 },
        sp_entityid        => { type => 'varchar', length => 250, not_null => 1 },
    ],

    primary_key_columns => [ 'id' ],
);

1;

